#ifndef	__GCMAIN__
#define	__GCMAIN__

#include <qapplication.h>
#include <qlayout.h>
#include <qvbuttongroup.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>

///////////////////////////////////////////////////////

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <arpa/inet.h>
#include <netinet/in.h>
#include <pthread.h>
#include <fcntl.h>

#include <ectp.h>
///////////////////////////////////////////////////////

#define BUFSIZE		1024

///////////////////////////////////////////////////////

class GCMain : public QWidget {
Q_OBJECT

public:
	GCMain();
	virtual ~GCMain();

	int getSock();
	void setButton();

	void error_handling( char *message );

protected:
private:
	QHBoxLayout		*h1;
	QVBoxLayout 	*v1;

	QLabel 			*label1, *label2, *label3, *label4;
	QLineEdit		*to_ip;
	QLineEdit		*mul_ip, *mul_port;
	QPushButton 	*p_ljr;
	QPushButton 	*button[3];

	QLineEdit		*token_msg;
	QPushButton 	*send_token;

	QGroupBox		*box;
	QVButtonGroup 	*vbg;
	QGroupBox		*token_box;

	int esd;
	int state;
	struct sockaddr_in local_addr;
	struct sockaddr_in group_addr;

	const char *local_ip;
	int local_port;
	const char *group_ip;
	int group_port;

private slots:
	void lateJoin();
	void onClick(int);
	void sendToken();
};

#endif	// __GCMain__
