#ifndef	__GSMAIN__
#define	__GSMAIN__

#include <qapplication.h>
#include <qlayout.h>
#include <qvbuttongroup.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlistbox.h>

///////////////////////////////////////////////////////

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <arpa/inet.h>
#include <netinet/in.h>
#include <pthread.h>
#include <fcntl.h>

///////////////////////////////////////////////////////

#include <ectp.h>

///////////////////////////////////////////////////////

#define	TTL			64
#define BUFSIZE		1024
#define SA			struct sockaddr

///////////////////////////////////////////////////////

class GSMain : public QWidget {
Q_OBJECT

public:
	GSMain();
	virtual ~GSMain();

	int getSock();
	void setTokenInfo( char *token_msg );

protected:

private:
	QHBoxLayout *h1;
	QVBoxLayout *v1;

	QLabel *label1, *label2;
	QLabel *label3, *label4;
	QLabel *label5;
	QLineEdit *to_ip;
	QLineEdit *mul_ip, *mul_port;
	QLineEdit *filename;

	QListBox *token_info;

	QPushButton *p_start;

	QGroupBox *box;
	QGroupBox *token_box;

	int esd;
	int multi_TTL;
	int state;

	struct sockaddr_in local_addr;
	struct sockaddr_in multi_addr;

	const char *local_ip;
	const char *group_ip;
	int group_port;

	const char *file_name;

private slots:
	void create();
};

#endif	// __GSMAIN__
